
;-| ボタン配置 |-----------------------------------------------------
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| 標準化 |-------------------------------------------------------
[Defaults]
command.time = 15
command.buffer.time = 1

;-| CPUアルゴリズム用コマンド |------------------------------

[Command]
name = "AI0"
command = a,b,B,B,D,U,U,a+b
time = 0

[Command]
name = "AI1"
command = a,U,D,F,F,B,B,D,U,U
time = 0

[Command]
name = "AI2"
command = b,U,D,F,B,F,B,D,U,D
time = 0

[Command]
name = "AI3"
command = c,U,D,B,F,B,F,D,U,B
time = 0

[Command]
name = "AI4"
command = x,U,D,B,F,F,B,D,U,F
time = 0

[Command]
name = "AI5"
command = y,U,D,F,F,B,B,D,U,a
time = 0

[Command]
name = "AI6"
command = z,U,D,F,B,F,B,D,U,b
time = 0

[Command]
name = "AI7"
command = s,U,D,B,F,B,F,D,U,c
time = 0

[Command]
name = "AI8"
command = b,U,D,B,F,F,B,D,U,x
time = 0

[Command]
name = "AI9"
command = c,U,D,F,B,F,B,D,U,y
time = 0

[Command]
name = "AI10"
command = y,U,D,B,F,B,F,D,U,z
time = 0

[Command]
name = "AI11"
command = z,U,D,B,F,F,B,D,U,s
time = 0

[Command]
name = "AI12"
command = U,D,F,F,B,B,D,U,a+x
time = 0

[Command]
name = "AI13"
command = U,D,F,B,F,B,D,U,b+y
time = 0

[Command]
name = "AI14"
command = U,D,B,F,B,F,D,U,c+z
time = 0

[Command]
name = "AI15"
command = U,D,s,B,F,F,B,s,D,U
time = 0

[Command]
name = "AI16"
command = a,U,D,F,F,B,B,D,U,U,s
time = 0

[Command]
name = "AI17"
command = b,U,D,F,B,F,B,D,U,D,s
time = 0

[Command]
name = "AI18"
command = c,U,D,B,F,B,F,D,U,B,s
time = 0

[Command]
name = "AI19"
command = x,U,D,B,F,F,B,D,U,F,s
time = 0

[Command]
name = "AI20"
command = y,U,D,F,F,B,B,D,U,a,s
time = 0

[Command]
name = "AI21"
command = z,U,D,F,B,F,B,D,U,b,s
time = 0

[Command]
name = "AI22"
command = s,U,D,B,F,B,F,D,U,c,s
time = 0

[Command]
name = "AI23"
command = b,U,D,B,F,F,B,D,U,x,s
time = 0

[Command]
name = "AI24"
command = c,U,D,F,B,F,B,D,U,y,s
time = 0

[Command]
name = "AI25"
command = y,U,D,B,F,B,F,D,U,z,s
time = 0

[Command]
name = "AI26"
command = z,U,D,B,F,F,B,D,U,s,z
time = 0

[Command]
name = "AI27"
command = U,D,F,F,B,B,D,U,a+x,s
time = 0

[Command]
name = "AI28"
command = U,D,F,B,F,B,D,U,b+y,s
time = 0

[Command]
name = "AI29"
command = U,D,B,F,B,F,D,U,c+z,s
time = 0

[Command]
name = "AI30"
command = U,D,s,B,F,F,B,s,D,U,z
time = 0

[Command]
name = "AI31"
command = U,D,UF,B,D,a,a,a
time = 0

[Command]
name = "AI32"
command = U,D,UF,B,D,a,a,b
time = 0

[Command]
name = "AI33"
command = U,D,UF,B,D,a,b,a
time = 0

[Command]
name = "AI34"
command = U,D,UF,B,D,b,a,a
time = 0

[Command]
name = "AI35"
command = U,D,UF,B,D,a,a,c
time = 0

[Command]
name = "AI36"
command = U,D,UF,B,D,a,c,a
time = 0

[Command]
name = "AI37"
command = U,D,UF,B,D,c,a,a
time = 0

[Command]
name = "AI38"
command = U,D,UF,B,D,a,b,b
time = 0

[Command]
name = "AI39"
command = U,D,UF,B,D,b,a,b
time = 0

[Command]
name = "AI40"
command = U,D,UF,B,D,b,b,a
time = 0

[Command]
name = "AI41"
command = U,D,UF,B,D,b,b,b
time = 0

[Command]
name = "AI42"
command = U,D,UF,B,D,b,b,c
time = 0

[Command]
name = "AI43"
command = U,D,UF,B,D,b,c,b
time = 0

[Command]
name = "AI44"
command = U,D,UF,B,D,c,b,b
time = 0

[Command]
name = "AI45"
command = U,D,UF,B,D,b,c,c
time = 0

[Command]
name = "AI46"
command = U,D,UF,B,D,c,b,c
time = 0

[Command]
name = "AI47"
command = U,D,UF,B,D,c,c,b
time = 0

[Command]
name = "AI48"
command = U,D,UF,B,D,c,c,c
time = 0

[Command]
name = "AI49"
command = U,D,UF,B,D,x,x,x
time = 0

[Command]
name = "AI50"
command = U,D,UF,B,D,x,x,y
time = 0

[Command]
name = "AI51"
command = U,D,UF,B,D,x,y,x
time = 0

[Command]
name = "AI52"
command = U,D,UF,B,D,y,x,x
time = 0

[Command]
name = "AI53"
command = U,D,UF,B,D,x,y,y
time = 0

[Command]
name = "AI54"
command = U,D,UF,B,D,y,x,y
time = 0

[Command]
name = "AI55"
command = U,D,UF,B,D,y,y,x
time = 0

[Command]
name = "AI56"
command = U,D,UF,B,D,y,y,y
time = 0

[Command]
name = "AI57"
command = U,D,UF,B,D,y,y,z
time = 0

[Command]
name = "AI58"
command = U,D,UF,B,D,y,z,y
time = 0

[Command]
name = "AI59"
command = U,D,UF,B,D,z,y,y
time = 0

[Command]
name = "AI60"
command = U,D,UF,B,D,y,z,z
time = 0

;------------------------------------------------------------------------------
;-| 必殺技 |-------------------------------------------------------------------
[Command]
name = "41236_c"
command = ~B, DB, D, DF, F,c
time = 20

[Command]
name = "41236_c"
command = ~B, D, F,c
time = 10

[Command]
name = "63214_c"
command = ~F, DF, D, DB, B,c
time = 20

[Command]
name = "63214_c"
command = ~F, D, B,c
time = 10

[Command]
name = "41236_x"
command = ~B, DB, D, DF, F,x
time = 20

[Command]
name = "41236_x"
command = ~B, D, F,x
time = 10

[Command]
name = "63214_x"
command = ~F, DF, D, DB, B,x
time = 20

[Command]
name = "63214_x"
command = ~F, D, B,x
time = 10

[Command]
name = "236236_a"
command = ~D, DF, F, D, DF, F, a
time = 25

[Command]
name = "623_x+a"
command = ~F, D, DF, x+a
time = 15

[Command]
name = "623_x+b"
command = ~F, D, DF, x+b
time = 15

[Command]
name = "623_x+c"
command = ~F, D, DF, x+c
time = 15

[Command]
name = "236_x+a"
command = ~D, DF, F, x+a
time = 15

[Command]
name = "236_x+b"
command = ~D, DF, F, x+b
time = 15

[Command]
name = "236_x+c"
command = ~D, DF, F, x+c
time = 15

[Command]
name = "421_x+a"
command = ~B, D, DB, x+a
time = 15

[Command]
name = "421_x+b"
command = ~B, D, DB, x+b
time = 15

[Command]
name = "421_x+c"
command = ~B, D, DB, x+c
time = 15

[Command]
name = "214_x+a"
command = ~D, DB, B, x+a
time = 15

[Command]
name = "214_x+b"
command = ~D, DB, B, x+b
time = 15

[Command]
name = "214_x+c"
command = ~D, DB, B, x+c
time = 15

[Command]
name = "623_a"
command = ~F, D, DF, a
time = 15

[Command]
name = "623_b"
command = ~F, D, DF, b
time = 15

[Command]
name = "623_c"
command = ~F, D, DF, c
time = 15

[Command]
name = "236_a"
command = ~D, DF, F, a
time = 15

[Command]
name = "236_b"
command = ~D, DF, F, b
time = 15

[Command]
name = "236_c"
command = ~D, DF, F, c
time = 15

[Command]
name = "421_a"
command = ~B, D, DB, a
time = 15

[Command]
name = "421_b"
command = ~B, D, DB, b
time = 15

[Command]
name = "421_c"
command = ~B, D, DB, c
time = 15

[Command]
name = "214_a"
command = ~D, DB, B, a
time = 15

[Command]
name = "214_b"
command = ~D, DB, B, b
time = 15

[Command]
name = "214_c"
command = ~D, DB, B, c
time = 15

[Command]
name = "214_z"
command = ~D, DB, B, z
time = 15

[Command]
name = "22_a"
command = ~D, D,a
time = 10

[Command]
name = "22_b"
command = ~D, D,b
time = 10

[Command]
name = "22_c"
command = ~D, D,c
time = 10

[Command]
name = "22_z"
command = ~D,D,z
time = 10

[Command]
name = "jump"    
command = ~$D,UF
time = 8


;------------------------------------------------------------------------------
;-| キー2回連続入力 |---------------------------------------------------------

[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10


;------------------------------------------------------------------------------
;-| 同時押し |-----------------------------------------------------------------
[Command]
name = "saiku"   
command = x+y
time = 1


[Command]
name = "saiku"   
command = x+z
time = 1

[Command]
name = "saiku"   
command = y+z
time = 1


[Command]
name = "saiku"   
command = a+b
time = 1

[Command]
name = "saiku"   
command = a+c
time = 1


[Command]
name = "saiku"   
command = b+c
time = 1
;------------------------------------------------------------------------------
;-| 方向キー＋ボタン |---------------------------------------------------------
[Command]
name = "sake"
command = /$D,a+b
time = 1


;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------


[Command]
name = "hold_c"
command = /c

[Command]
name = "hold_b"
command = /b

[Command]
name = "hold_a"
command = /a

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "hold_c"
command = /c


;------------------------------------------------------------------------------
;-| 方向キー押しっぱなし |-----------------------------------------------------

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[Command]
name = "up"
command = $U
time = 1


;==============================================================================
; 技を実行するための条件の設定（ステートエントリー）
;==============================================================================
[Statedef -1]

;------------------------------------------------------------------------------
;ダッシュ
[State -1, Dash]
type = ChangeState
value = 100
triggerall = var(0) = 0
trigger1 = command = "FF"
trigger1 = stateno != [100,101]
trigger1 = statetype = S
trigger1 = ctrl

;バックステップ
[State -1, Back Step]
type = ChangeState
value = 105
triggerall = var(0) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;空中ダッシュ
[State -1, airdashF]
type = ChangeState
value = 103
triggerall = command = "FF"
triggerall = statetype = A
triggerall = stateno != [105,107]
triggerall = var(14) >= 1
triggerall = ctrl
triggerall = vel Y = [-9,9]
triggerall = var(0) = 0
trigger1 = stateno != 103
trigger1 = stateno != 108
trigger2 = stateno = 103
trigger2 = time > 14
trigger3 = stateno = 108
trigger3 = time > 14

[State -1, airdashB]
type = ChangeState
value = 108
triggerall = command = "BB"
triggerall = statetype = A
triggerall = stateno != [105,107]
triggerall = var(14) >= 1
triggerall = ctrl
triggerall = vel Y = [-10,10]
triggerall = var(0) = 0
trigger1 = stateno != 103
trigger1 = stateno != 108
trigger2 = stateno = 103
trigger2 = time > 14
trigger3 = stateno = 108
trigger3 = time > 14

;------------------------------------------------------------------------------
;地上受身
[State -1, 地上受身]
type = ChangeState
value = 5201
triggerall =  stateno =  5100
triggerall = CanRecover
triggerall = var(3) = 0
;triggerall =  Pos Y <= 4
triggerall = alive
triggerall = RoundState = 2
triggerall = var(0) = 0
trigger1 = command = "a"
trigger2 = command = "b"
trigger3 = command = "c"
trigger4 = command = "x"
trigger5 = command = "y"
trigger6 = command = "z"

;空中受身
[State -1, 空中受身]
type = ChangeState
value = 5210
triggerall = stateno = 5050 || stateno = 5060
triggerall = var(3) = 0
triggerall = CanRecover
triggerall = alive
triggerall = RoundState = 2
triggerall = var(0) = 0
trigger1 = command = "a"
trigger2 = command = "b"
trigger3 = command = "c"
trigger4 = command = "x"
trigger5 = command = "y"
trigger6 = command = "z"


;避け
[State -1, 避け]
type = ChangeState
value = 500
triggerall = command = "sake" || (command = "y" && command = "holddown")
triggerall = statetype != A
triggerall =  movetype =  I
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl

;------------------------------------------------------------------------------
;サーキットスパーク（本体）
[State -1, サーキットスパーク（本体）]
type = ChangeState
value = 560
triggerall = var(0) = 0
triggerall = var(15) = 0
trigger1 = command = "saiku"
trigger1 = statetype != A
trigger1 = movetype = H
trigger1 = alive
trigger1 = var(4) !=  0
trigger1 = !HitShakeOver


;サーキットスパーク（スタンド）
[State -1, サーキットスパーク（スタンド）]
type = ChangeState
value = 20560
triggerall = var(0) = 0
triggerall = var(15) = 20000
trigger1 = command = "saiku"
trigger1 = statetype != A
trigger1 = movetype = H
trigger1 = alive
trigger1 = var(4) !=  0
trigger1 = !HitShakeOver
;==============================================================================
;AD17分割
[State -1,AD17分割]
type = ChangeState
value = 22000
triggerall = command = "41236_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = var(4) = [1,2]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511


;AAD17分割
[State -1,AAD17分割]
type = ChangeState
value = 22100
triggerall = command = "41236_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = var(4) = 3
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511


;AD時よ止まれッ！
[State -1,AD時よ止まれッ！]
type = ChangeState
value = 23000
triggerall = command = "63214_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = var(4) = [1,2]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511


;AAD時よ止まれッ！
[State -1,AAD時よ止まれッ！]
type = ChangeState
value = 23100
triggerall = command = "63214_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = var(4) = 3
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
;------------------------------------------------------------------------------
;切り札そのいち（大切り）A
[State -1,切り札そのいち（大切り）A]
type = ChangeState
value = 21200
triggerall = command = "623_a"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;切り札そのいち（大切り）B
[State -1,切り札そのいち（大切り）B]
type = ChangeState
value = 21210
triggerall = command = "623_b"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;切り札そのいち（大切り）B（パワー不足）
[State -1,切り札そのいち（大切り）B（パワー不足）]
type = ChangeState
value = 21210
triggerall = command = "623_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = Power < 1000 && var(4) != [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;切り札そのいち（大切り）EX
[State -1,切り札そのいち（大切り）EX]
type = ChangeState
value = 21220
triggerall = command = "623_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = Power >= 1000 || var(4) = [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0

;------------------------------------------------------------------------------
;閃鞘・八点衝A
[State -1,閃鞘・八点衝A]
type = ChangeState
value = 21000
triggerall = command = "236_a"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;閃鞘・八点衝B
[State -1,閃鞘・八点衝B]
type = ChangeState
value = 21010
triggerall = command = "236_b"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;閃鞘・八点衝B（パワー不足）
[State -1,閃鞘・八点衝B（パワー不足）]
type = ChangeState
value = 21010
triggerall = command = "236_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = Power < 1000 && var(4) != [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;閃鞘・八点衝EX
[State -1,閃鞘・八点衝EX]
type = ChangeState
value = 21020
triggerall = command = "236_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = Power >= 1000 || var(4) = [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;GC攻撃
[State -1,GC攻撃]
type = ChangeState
value = 20450
triggerall = (command = "623_a") || (command = "623_b") || (command = "623_c")
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = Power >= 300 || var(4) = [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = stateno = [150,155]


;;GC閃鞘・八点衝EX
;[State -1,GC閃鞘・八点衝EX]
;type = ChangeState
;value = 21030
;triggerall = (command = "623_a") || (command = "623_b") || (command = "623_c")
;triggerall = statetype != A
;triggerall = var(0) = 0
;triggerall = var(15) = 20000
;triggerall = var(21) = 0
;triggerall = Power >= 1000 || var(4) = [1,3]
;triggerall = alive
triggerall = RoundState = 2
;trigger1 = stateno = [150,155]
;------------------------------------------------------------------------------
;恐怖の片鱗
[State -1,恐怖の片鱗]
type = ChangeState
value = 21300
triggerall = (command = "421_a") || (command = "421_b") || (command = "421_c")
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = Ctrl



;------------------------------------------------------------------------------
;自分でもよくわからない蹴りA
[State -1,自分でもよくわからない蹴りA]
type = ChangeState
value = 21400
triggerall = command = "214_a"
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20400
trigger9 = var(23) != 0
trigger10 = stateno = 20410
trigger10 = var(23) != 0
trigger11 = stateno = 20420
trigger11 = var(23) != 0
trigger12 = stateno = 20450
trigger12 = var(23) != 0


;自分でもよくわからない蹴りB
[State -1,自分でもよくわからない蹴りB]
type = ChangeState
value = 21410
triggerall = command = "214_b"
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20400
trigger9 = var(23) != 0
trigger10 = stateno = 20410
trigger10 = var(23) != 0
trigger11 = stateno = 20420
trigger11 = var(23) != 0
trigger12 = stateno = 20450
trigger12 = var(23) != 0


;自分でもよくわからない蹴りEX
[State -1,自分でもよくわからない蹴りEX]
type = ChangeState
value = 21420
triggerall = command = "214_c"
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = Power >= 1000 || var(4) = [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20400
trigger9 = var(23) != 0
trigger10 = stateno = 20410
trigger10 = var(23) != 0
trigger11 = stateno = 20420
trigger11 = var(23) != 0
trigger12 = stateno = 20450
trigger12 = var(23) != 0


;自分でもよくわからない蹴りB（パワー不足）
[State -1,自分でもよくわからない蹴りB（パワー不足）]
type = ChangeState
value = 21410
triggerall = command = "214_c"
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = Power < 1000 && var(4) != [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20400
trigger9 = var(23) != 0
trigger10 = stateno = 20410
trigger10 = var(23) != 0
trigger11 = stateno = 20420
trigger11 = var(23) != 0
trigger12 = stateno = 20450
trigger12 = var(23) != 0
;------------------------------------------------------------------------------
;スタンドレプリカントコンダクター（オシリス）A
[State -1,スタンドレプリカントコンダクター（オシリス）A]
type = ChangeState
value = 21100
triggerall = command = "22_a"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = numhelper(21100) = 0 || numhelper(1300) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;スタンドレプリカントコンダクター（オシリス）B
[State -1,スタンドレプリカントコンダクター（オシリス）B]
type = ChangeState
value = 21110
triggerall = command = "22_b"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = numhelper(21110) = 0  || numhelper(1310) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;スタンドレプリカントコンダクター（オシリス）C
[State -1,スタンドレプリカントコンダクター（オシリス）C]
type = ChangeState
value = 21120
triggerall = command = "22_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = numhelper(21120) = 0  || numhelper(1300) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0
;------------------------------------------------------------------------------
;ADクルーエル・ブラッド
[State -1,ADクルーエルブラッド]
type = ChangeState
value = 2000
triggerall = command = "41236_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = var(4) = [1,2]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
trigger10 = Stateno = 1200 || Stateno = 1210
trigger10 = AnimElemTime(5) = [0,2]
trigger11 = Stateno = 1200
trigger11 = NumHelper(11200) = 1
trigger11 = var(34) = 1
trigger12 = Stateno = 1210
trigger12 = NumHelper(11210) = 1
trigger12 = var(34) = 1


;AADクルーエル・ブラッド
[State -1,AADクルーエルブラッド]
type = ChangeState
value = 2100
triggerall = command = "41236_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = var(4) = 3
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
trigger10 = Stateno = 1200 || Stateno = 1210
trigger10 = AnimElemTime(5) = [0,2]
trigger11 = Stateno = 1200
trigger11 = NumHelper(11200) = 1
trigger11 = var(34) = 1
trigger12 = Stateno = 1210
trigger12 = NumHelper(11210) = 1
trigger12 = var(34) = 1

;------------------------------------------------------------------------------
;ADナイトルーラー　ザ　ブラッドディーラー
[State -1,ADナイトルーラー　ザ　ブラッドディーラー]
type = ChangeState
value = 3000
triggerall = command = "63214_c"
;triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = var(4) = [1,2]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
trigger10 = Stateno = 1200 || Stateno = 1210
trigger10 = AnimElemTime(5) = [0,2]
trigger11 = Stateno = 1200
trigger11 = NumHelper(11200) = 1
trigger11 = var(34) = 1
trigger12 = Stateno = 1210
trigger12 = NumHelper(11210) = 1
trigger12 = var(34) = 1


;AADナイトルーラー　ザ　ブラッドディーラー
[State -1,AADナイトルーラー　ザ　ブラッドディーラー]
type = ChangeState
value = 3100
triggerall = command = "63214_c"
;triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = var(4) = 3
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
trigger10 = Stateno = 1200 || Stateno = 1210
trigger10 = AnimElemTime(5) = [0,2]
trigger11 = Stateno = 1200
trigger11 = NumHelper(11200) = 1
trigger11 = var(34) = 1
trigger12 = Stateno = 1210
trigger12 = NumHelper(11210) = 1
trigger12 = var(34) = 1
;------------------------------------------------------------------------------
;彗星「ブレイジングスター」
[State -1,彗星「ブレイジングスター」]
type = null;ChangeState
value = 1600
triggerall = command = "63214_x"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = var(25) = 1
triggerall = Power >= 1500 || var(4) = [1,3]
triggerall = alive
triggerall = RoundState = 2
triggerall = numhelper(1600) = 0
triggerall = numhelper(1610) = 0
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
trigger10 = Stateno = 1200 || Stateno = 1210
trigger10 = AnimElemTime(5) = [0,2]
trigger11 = Stateno = 1200
trigger11 = NumHelper(11200) = 1
trigger11 = var(34) = 1
trigger12 = Stateno = 1210
trigger12 = NumHelper(11210) = 1
trigger12 = var(34) = 1
;------------------------------------------------------------------------------
;天符「てんくうのひかり」
[State -1,天符「てんくうのひかり」]
type = null;ChangeState
value = 1610
triggerall = command = "41236_x"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = var(25) = 1
triggerall = Power >= 1500 || var(4) = [1,3]
triggerall = alive
triggerall = RoundState = 2
triggerall = numhelper(1600) = 0
triggerall = numhelper(1610) = 0
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
trigger10 = Stateno = 1200 || Stateno = 1210
trigger10 = AnimElemTime(5) = [0,2]
trigger11 = Stateno = 1200
trigger11 = NumHelper(11200) = 1
trigger11 = var(34) = 1
trigger12 = Stateno = 1210
trigger12 = NumHelper(11210) = 1
trigger12 = var(34) = 1


;------------------------------------------------------------------------------

;テラーニュース（マリス）A
[State -1,テラーニュース（マリス）A]
type = ChangeState
value = 1100
triggerall = command = "623_a"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;テラーニュース（マリス）B
[State -1,テラーニュース（マリス）B]
type = ChangeState
value = 1110
triggerall = command = "623_b"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;テラーニュース（マリス）B（パワー不足）
[State -1,テラーニュース（マリス）B（パワー不足）]
type = ChangeState
value = 1110
triggerall = command = "623_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = Power < 1000 && var(4) != [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;テラーニュース（マリス）EX
[State -1,テラーニュース（マリス）EX]
type = ChangeState
value = 1120
triggerall = command = "623_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = Power >= 1000 || var(4) = [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
trigger10 = Stateno = 1200 || Stateno = 1210
trigger10 = AnimElemTime(5) = [0,2]
trigger11 = Stateno = 1200
trigger11 = NumHelper(11200) = 1
trigger11 = var(34) = 1
trigger12 = Stateno = 1210
trigger12 = NumHelper(11210) = 1
trigger12 = var(34) = 1

;------------------------------------------------------------------------------
;カッティングシンクA
[State -1,カッティングシンクA]
type = ChangeState
value = 1400
triggerall = command = "214_a"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
trigger10 = stateno = [150,155]


;カッティングシンクB
[State -1,カッティングシンクB]
type = ChangeState
value = 1410
triggerall = command = "214_b"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;カッティングシンクC
[State -1,カッティングシンクC]
type = ChangeState
value = 1420
triggerall = command = "214_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
;------------------------------------------------------------------------------
;シールドバンカー
[State -1,シールドバンカー]
type = ChangeState
value = 530
triggerall = command = "214_z"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;------------------------------------------------------------------------------
;GCテラーニュース（ライ）
[State -1,GCテラーニュース（ライ）]
type = null;ChangeState
value = 1230
triggerall = (command = "623_a") || (command = "623_b") || (command = "623_c")
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = Power >= 1000 || var(4) = [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = stateno = [150,155]



;テラーニュース（ライ）A
[State -1,テラーニュース（ライ）A]
type = ChangeState
value = 1200
triggerall = command = "236_a"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;テラーニュース（ライ）B
[State -1,テラーニュース（ライ）B]
type = ChangeState
value = 1210
triggerall = command = "236_b"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;テラーニュース（ライ）B（パワー不足）
[State -1,テラーニュース（ライ）B（パワー不足）]
type = ChangeState
value = 1210
triggerall = command = "236_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = Power < 1000 && var(4) != [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;テラーニュース（ライ）EX
[State -1,テラーニュース（ライ）EX]
type = ChangeState
value = 1220
triggerall = command = "236_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = Power >= 1000 || var(4) = [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
trigger10 = Stateno = 1200 || Stateno = 1210
trigger10 = AnimElemTime(5) = [0,2]
trigger11 = Stateno = 1200
trigger11 = NumHelper(11200) = 1
trigger11 = var(34) = 1
trigger12 = Stateno = 1210
trigger12 = NumHelper(11210) = 1
trigger12 = var(34) = 1
;------------------------------------------------------------------------------
;フリークスチャンネル（ノイド）A
[State -1,フリークスチャンネル（ノイド）A]
type = ChangeState
value = 1500
triggerall = command = "214_a"
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 400
trigger2 = var(23) != 0
trigger3 = stateno = 401
trigger3 = var(23) != 0
trigger4 = stateno = 410
trigger4 = var(23) != 0
trigger5 = stateno = 420
trigger5 = var(23) != 0


;フリークスチャンネル（ノイド）B
[State -1,フリークスチャンネル（ノイド）B]
type = ChangeState
value = 1510
triggerall = command = "214_b"
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 400
trigger2 = var(23) != 0
trigger3 = stateno = 401
trigger3 = var(23) != 0
trigger4 = stateno = 410
trigger4 = var(23) != 0
trigger5 = stateno = 420
trigger5 = var(23) != 0


;フリークスチャンネル（ノイド）B（パワー不足）
[State -1,フリークスチャンネル（ノイド）B（パワー不足）]
type = ChangeState
value = 1510
triggerall = command = "214_c"
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = Power < 1000 && var(4) != [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 400
trigger2 = var(23) != 0
trigger3 = stateno = 401
trigger3 = var(23) != 0
trigger4 = stateno = 410
trigger4 = var(23) != 0
trigger5 = stateno = 420
trigger5 = var(23) != 0


;フリークスチャンネル（ノイド）EX
[State -1,フリークスチャンネル（ノイド）EX]
type = ChangeState
value = 1520
triggerall = command = "214_c"
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = Power >= 1000 || var(4) = [1,3]
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 400
trigger2 = var(23) != 0
trigger3 = stateno = 401
trigger3 = var(23) != 0
trigger4 = stateno = 410
trigger4 = var(23) != 0
trigger5 = stateno = 420
trigger5 = var(23) != 0

;------------------------------------------------------------------------------
;レプリカントコンダクター（オシリス）A
[State -1,レプリカントコンダクター（オシリス）A]
type = ChangeState
value = 1300
triggerall = command = "22_a"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
triggerall = numhelper(21100) = 0 || numhelper(1300) = 0
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;レプリカントコンダクター（オシリス）B
[State -1,レプリカントコンダクター（オシリス）B]
type = ChangeState
value = 1310
triggerall = command = "22_b"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
triggerall = numhelper(21110) = 0 || numhelper(1310) = 0
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;レプリカントコンダクター（オシリス）C
[State -1,レプリカントコンダクター（オシリス）C]
type = ChangeState
value = 1320
triggerall = command = "22_c"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
triggerall = numhelper(21120) = 0 || numhelper(1320) = 0
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0
;==============================================================================
;アドバンシングガード
[State -1,アドバンシングガード]
type = ChangeState
value = 160
triggerall = (command = "214_a") || (command = "214_b") || (command = "214_c")
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = stateno = [150,155]
;------------------------------------------------------------------------------
[State -1,スタンド地上投げ]
type = ChangeState
value = 20230
triggerall = (command = "z" && command = "a") || (command = "y" && (command = "holdfwd" || command = "holdback"))
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = Ctrl


[State -1,スタンド空中投げ]
type = ChangeState
value = 20430
triggerall = (command = "z" && command = "a") || (command = "y" && (command = "holdfwd" || command = "holdback"))
triggerall = statetype = A
triggerall = p2bodydist Y = [-35,35] 
triggerall = p2bodydist X = [0,10] 
triggerall = p2statetype = A
triggerall = pos Y <= -20
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = Ctrl
trigger2 = stateno = 20400
trigger2 = var(23) = 1
trigger3 = stateno = 20410
trigger3 = var(23) = 1
trigger4 = stateno = 20420
trigger4 = var(23) = 1


[State -1,地上投げ]
type = ChangeState
value = 260
triggerall = (command = "z" && command = "a") || (command = "y" && (command = "holdfwd" || command = "holdback"))
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = Ctrl


[State -1,空中投げ]
type = ChangeState
value = 430
triggerall = (command = "z" && command = "a") || (command = "y" && (command = "holdfwd" || command = "holdback"))
triggerall = statetype = A
triggerall = p2bodydist Y = [-35,35] 
triggerall = p2bodydist X = [0,10] 
triggerall = p2statetype = A
triggerall = pos Y <= -20
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = Ctrl
trigger2 = stateno = 400
trigger2 = var(23) = 1
trigger3 = stateno = 401
trigger3 = var(23) = 1
trigger4 = stateno = 410
trigger4 = var(23) = 1
trigger5 = stateno = 420
trigger5 = var(23) = 1

;------------------------------------------------------------------------------
;スタンドしゃがみA
[State -1, スタンドしゃがみA]
type = ChangeState
value = 20300
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = time > 4
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;スタンドしゃがみB
[State -1, スタンドしゃがみB]
type = ChangeState
value = 20310
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = (var(11) != 1) && (var(11) != 3)
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;スタンドしゃがみC
[State -1, スタンドしゃがみC]
type = ChangeState
value = 20320
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = (var(11) != 2) && (var(11) != 3)
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20450
trigger8 = var(23) != 0


;------------------------------------------------------------------------------

;スタンド立ちA
[State -1, スタンド立ちA]
type = ChangeState
value = 20200
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = time > 5
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20220
trigger5 = var(23) != 0
trigger6 = stateno = 20300
trigger6 = var(23) != 0
trigger7 = stateno = 20310
trigger7 = var(23) != 0
trigger8 = stateno = 20320
trigger8 = var(23) != 0
trigger9 = stateno = 20450
trigger9 = var(23) != 0


;スタンド立ちB追撃
[State -1, スタンド立ちB追撃]
type = ChangeState
value = 20211
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = stateno = 20210
trigger1 = AnimElemTime(6) >= 0


;スタンド立ちB
[State -1, スタンド立ちB]
type = ChangeState
value = 20210
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = (var(10) != 1) && (var(10) != 3) && (var(10) != 5) && (var(10) != 7) && (var(10) != 9)
triggerall = (var(10) != 11) && (var(10) != 13) && (var(10) != 15)
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20220
trigger3 = var(23) != 0
trigger4 = stateno = 20300
trigger4 = var(23) != 0
trigger5 = stateno = 20310
trigger5 = var(23) != 0
trigger6 = stateno = 20320
trigger6 = var(23) != 0
trigger7 = stateno = 20450
trigger7 = var(23) != 0


;スタンド立ちC
[State -1, スタンド立ちC]
type = ChangeState
value = 20220
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = (var(10) != 2) && (var(10) != 3) && (var(10) != 5) && (var(10) != 7) && (var(10) != 9)
triggerall = (var(10) != 11) && (var(10) != 13) && (var(10) != 15)
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20200
trigger2 = var(23) != 0
trigger3 = stateno = 20210
trigger3 = var(23) != 0
trigger4 = stateno = 20211
trigger4 = var(23) != 0
trigger5 = stateno = 20300
trigger5 = var(23) != 0
trigger6 = stateno = 20310
trigger6 = var(23) != 0
trigger7 = stateno = 20320
trigger7 = var(23) != 0
trigger8 = stateno = 20450
trigger8 = var(23) != 0
;------------------------------------------------------------------------------


;スタンド空中A
[State -1, スタンド空中A]
type = ChangeState
value = 20400
triggerall = command = "a"
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20400
trigger2 = time > 4
trigger3 = stateno = 20410
trigger3 = var(23) != 0
trigger4 = stateno = 20420
trigger4 = var(23) != 0


;スタンド空中B
[State -1, スタンド空中B]
type = ChangeState
value = 20410
triggerall = command = "b"
triggerall = statetype = A
triggerall = (var(12) !=1) && (var(12) != 3)
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20400
trigger2 = var(23) != 0
trigger3 = stateno = 20420
trigger3 = var(23) != 0


;スタンド空中C
[State -1, スタンド空中C]
type = ChangeState
value = 20420
triggerall = command = "c"
triggerall = statetype = A
triggerall = (var(12) !=2) && (var(12) != 3)
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 20400
trigger2 = var(23) != 0
trigger3 = stateno = 20410
trigger3 = var(23) != 0




;==============================================================================

;立ちA
[State -1, 立ちA]
type = ChangeState
value = 200
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = time > 4
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0



;軽すぎる！
[State -1,軽すぎる！]
type = ChangeState
value = 230
triggerall = command = "b"
triggerall = command = "holdfwd"
triggerall = command = "holddown"
triggerall = var(10) != [4,7]
triggerall = var(10) != [12,15]
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 240
trigger5 = var(23) != 0
trigger6 = stateno = 300
trigger6 = var(23) != 0
trigger7 = stateno = 310
trigger7 = var(23) != 0
trigger8 = stateno = 320
trigger8 = var(23) != 0


;フラワーキック
[State -1,フラワーキック]
type = ChangeState
value = 220
triggerall = command = "b"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
triggerall = (var(10) != 2) && (var(10) != 3) && (var(10) != 5) && (var(10) != 6) && (var(10) != 7)
triggerall = (var(10) != 10) && (var(10) != 11) && (var(10) != 14) && (var(10) != 15) 
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 230
trigger4 = var(23) != 0
trigger5 = stateno = 240
trigger5 = var(23) != 0
trigger6 = stateno = 300
trigger6 = var(23) != 0
trigger7 = stateno = 310
trigger7 = var(23) != 0
trigger8 = stateno = 320
trigger8 = var(23) != 0


;立ちB
[State -1,立ちB]
type = ChangeState
value = 210
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = (var(10) != 1) && (var(10) != 3) && (var(10) != 5) && (var(10) != 7) && (var(10) != 9)
triggerall = (var(10) != 11) && (var(10) != 13) && (var(10) != 15)
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 220
trigger3 = var(23) != 0
trigger4 = stateno = 230
trigger4 = var(23) != 0
trigger5 = stateno = 240
trigger5 = var(23) != 0
trigger6 = stateno = 300
trigger6 = var(23) != 0
trigger7 = stateno = 310
trigger7 = var(23) != 0
trigger8 = stateno = 320
trigger8 = var(23) != 0


;エーテライト攻撃
[State -1,エーテライト攻撃]
type = ChangeState
value = 250
triggerall = command = "c"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger6 = stateno = 300
trigger6 = var(23) != 0
trigger7 = stateno = 310
trigger7 = var(23) != 0
trigger8 = stateno = 320
trigger8 = var(23) != 0


;エーテライト追撃
[State -1,エーテライト追撃]
type = ChangeState
value = 251
triggerall = var(15) = 0
trigger1 = command = "c"
trigger1 = command = "holdback"
trigger1 = command != "holddown"
trigger1 = statetype != A
trigger1 = var(0) = 0
trigger1 = alive
trigger1 = stateno = 250
;trigger1 = AnimElem = 9
trigger1 = var(23) != 0


;立ちC
[State -1,立ちC]
type = ChangeState
value = 240
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = (var(10) != 8) && (var(10) != 9) && (var(10) != [11,15])
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 300
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0


;------------------------------------------------------------------------------
;しゃがみA
[State -1, しゃがみA]
type = ChangeState
value = 300
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = time > 3
trigger8 = stateno = 310
trigger8 = var(23) != 0
trigger9 = stateno = 320
trigger9 = var(23) != 0



;しゃがみB
[State -1, しゃがみB]
type = ChangeState
value = 310
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = (var(11) != 1) && (var(11) != 3)
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 320
trigger8 = var(23) != 0


;しゃがみエーテライト
[State -1, エーテライト]
type = ChangeState
value = 330
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = command = "holdfwd"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0


;しゃがみC
[State -1, しゃがみC]
type = ChangeState
value = 320
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = (var(11) != 2) && (var(11) != 3)
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 511
trigger2 = stateno = 200
trigger2 = var(23) != 0
trigger3 = stateno = 210
trigger3 = var(23) != 0
trigger4 = stateno = 220
trigger4 = var(23) != 0
trigger5 = stateno = 230
trigger5 = var(23) != 0
trigger6 = stateno = 240
trigger6 = var(23) != 0
trigger7 = stateno = 300
trigger7 = var(23) != 0
trigger8 = stateno = 310
trigger8 = var(23) != 0


;------------------------------------------------------------------------------
;空中6A
[State -1, 空中A]
type = ChangeState
value = 401
triggerall = command = "a"
triggerall = command = "holdfwd"
triggerall = (var(12) != 1) && (var(12) != 3) && (var(12) != 5) && (var(12) != 7) && (var(12) != 9)
triggerall = (var(12) != 11) && (var(12) != 13) && (var(12) != 15)
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = var(23) != 0
trigger3 = stateno = 410
trigger3 = var(23) != 0
trigger4 = stateno = 420
trigger4 = var(23) != 0


;空中A
[State -1, 空中A]
type = ChangeState
value = 400
triggerall = command = "a"
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = time > 5
trigger3 = stateno = 410
trigger3 = var(23) != 0
trigger4 = stateno = 420
trigger4 = var(23) != 0


;空中2B
[State -1, 空中2B]
type = ChangeState
value = 415
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = var(12) != [4,7]
triggerall = var(12) != [12,15]
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = var(23) != 0
trigger3 = stateno = 401
trigger3 = var(23) != 0
trigger4 = stateno = 420
trigger4 = var(23) != 0


;空中B
[State -1, 空中B]
type = ChangeState
value = 410
triggerall = command = "b"
triggerall = (var(12) != 2) && (var(12) != 3) && (var(12) != 5) && (var(12) != 6) && (var(12) != 7)
triggerall = (var(12) != 10) && (var(12) != 11) && (var(12) != 14) && (var(12) != 15) 
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = var(23) != 0
trigger3 = stateno = 401
trigger3 = var(23) != 0
trigger4 = stateno = 420
trigger4 = var(23) != 0


;空中C
[State -1, 空中C]
type = ChangeState
value = 420
triggerall = command = "c"
triggerall = (var(12) != 8) && (var(12) != 9) && (var(12) != [11,15])
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = var(23) != 0
trigger3 = stateno = 401
trigger3 = var(23) != 0
trigger4 = stateno = 410
trigger4 = var(23) != 0
;------------------------------------------------------------------------------
[State -1,スーパージャンプ]
type = ChangeState
value = 119
triggerall = command = "jump"
triggerall = var(0) = 0
triggerall = alive
triggerall = RoundState = 2
triggerall = ctrl
trigger1 = statetype != A
;------------------------------------------------------------------------------
;ジャンプキャンセル

[State -1, ジャンプキャンセル]
type = ChangeState
value = 40
triggerall = command = "up"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = stateno = 200
trigger1 = var(23) != 0
trigger2 = stateno = 210
trigger2 = var(23) != 0
trigger3 = stateno = 220
trigger3 = var(23) != 0
trigger4 = stateno = 230
trigger4 = var(23) != 0
trigger5 = stateno = 240
trigger5 = var(23) != 0
trigger6 = stateno = 300
trigger6 = var(23) != 0
trigger7 = stateno = 310
trigger7 = var(23) != 0
trigger8 = stateno = 320
trigger8 = var(23) != 0
trigger9 = stateno = 20200
trigger9 = var(23) != 0
trigger10 = stateno = 20210
trigger10 = var(23) != 0
trigger11 = stateno = 20211
trigger11 = var(23) != 0
trigger12 = stateno = 20220
trigger12 = var(23) != 0
trigger13 = stateno = 20300
trigger13 = var(23) != 0
trigger14 = stateno = 20310
trigger14 = var(23) != 0
trigger15 = stateno = 20320
trigger15 = var(23) != 0



[State -1,空中ジャンプキャンセル]
type = ChangeState
value = 45                         ;ジャンプ
triggerall = command = "up"    ;上を押す
triggerall = command != "holddown" ;下を離す
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(13) >= 1
triggerall = alive
triggerall = RoundState = 2
trigger1 = stateno = 50
trigger1 = time >= 8
trigger1 = Ctrl
trigger2 = stateno = [400,420]
trigger2 = var(23) != 0
trigger3 = stateno = 103
trigger4 = stateno = 104
trigger5 = stateno = 108
trigger6 = stateno = 109
trigger7 = stateno = [20400,20420]
trigger7 = var(23) != 0


[State -1,スタンドモードON]
type = ChangeState
value = 2 
triggerall = command = "x"
triggerall = var(0) = 0
triggerall = var(3) = 0
triggerall = var(15) = 0
triggerall = var(25) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = Ctrl


[State -1,スタンドモードOFF（地上）]
type = ChangeState
value = 610 
triggerall = command = "x"
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(3) = 2
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = Ctrl


[State -1,スタンドモードOFF（空中）]
type = ChangeState
value = 615 
triggerall = command = "x"
triggerall = statetype = A
triggerall = var(0) = 0
triggerall = var(3) = 2
triggerall = var(15) = 20000
triggerall = var(21) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = Ctrl


;------------------------------------------------------------------------------
;強制開放（本体）
[State -1,強制開放（本体）]
type = ChangeState
value = 550
triggerall = command = "22_z" || (command = "y")
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
triggerall = Ctrl
trigger1 = var(4) = 0
trigger1 = power >= 1000
trigger2 = var(4) = 2

;強制開放（スタンド）
[State -1,強制開放（スタンド）]
type = ChangeState
value = 20550
triggerall = command = "22_z" || (command = "y")
triggerall = statetype != A
triggerall = var(0) = 0
triggerall = var(15) = 20000
triggerall = alive
triggerall = RoundState = 2
triggerall = Ctrl
trigger1 = var(4) = 0
trigger1 = power >= 1000
trigger2 = var(4) = 2

;------------------------------------------------------------------------------
[State -1,シールド]
type = ChangeState
value = 510
triggerall = command = "z"
triggerall = var(0) = 0
triggerall = var(15) = 0
triggerall = alive
triggerall = RoundState = 2
trigger1 = Ctrl
